Skip to main content
POST
/
v6
/
templates
/
agent
/
settings
Save Agentic Accountant Settings
curl --request POST \
  --url https://sandbox.tight.com/v6/templates/agent/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agenticCFO": {
    "spendManagement": true,
    "trendAnalysis": true
  },
  "agenticAccountant": {
    "financialSummaries": [
      "MONTHLY",
      "QUARTERLY",
      "YEARLY"
    ],
    "bankReconciliations": true
  },
  "agenticBookkeeper": {
    "anomalyDetection": true,
    "conversationalReasoning": true
  },
  "agenticAssistant": {
    "bankConnectionErrors": true,
    "accountingSupport": true
  }
}
'
{
  "result": "SUCCESS",
  "data": {
    "agenticCFO": {
      "spendManagement": true,
      "trendAnalysis": true
    },
    "agenticAccountant": {
      "financialSummaries": [
        "MONTHLY",
        "QUARTERLY",
        "YEARLY"
      ],
      "bankReconciliations": true
    },
    "agenticBookkeeper": {
      "anomalyDetection": true,
      "conversationalReasoning": true
    },
    "agenticAssistant": {
      "bankConnectionErrors": true,
      "accountingSupport": true
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
agenticCFO
object

Tight Agentic CFO configuration

agenticAccountant
object

Tight Agentic Accountant configuration

agenticBookkeeper
object

Tight Agentic Bookkeeper configuration

agenticAssistant
object

Tight Agentic Assistant configuration

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.